Description

https://answers.splunk.com/answers/248308/how-can-i-monitor-a-directory-for-existence-of-a-f-1.html#comment-326377

History

#1 - 11/17/2015 06:10 PM - Luke Murphey

Seems like a couple things might be going on:

UNC paths might need to have double-slashes (

http://stackoverflow.com/questions/5224541/python-copy-files-to-a-network-location-on-windows-without-mapping-a-drive)

UNC support in Python is weak (http://covenanteyes.github.io/py_win_unc/)

#2 - 11/17/2015 06:29 PM - Luke Murphey

The issue is that the input is not using raw strings. The following fails:

f = open("\\Server\Shared Folders\somefile.jpg")

 

The following work:

f = open(r"\\Server\Shared Folders\somefile.jpg")

f = open("\\\\Server\\Shared Folders\\somefile.jpg")

#3 - 11/17/2015 07:04 PM - Luke Murphey

http://stackoverflow.com/questions/1885181/how-do-i-un-escape-a-backslash-escaped-string-in-python

#4 - 11/17/2015 09:04 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

https://answers.splunk.com/answers/327635/how-do-i-get-the-filedirectory-information-input-a.html#answer-327646

05/20/2024 1/2

https://answers.splunk.com/answers/248308/how-can-i-monitor-a-directory-for-existence-of-a-f-1.html#comment-326377
http://stackoverflow.com/questions/5224541/python-copy-files-to-a-network-location-on-windows-without-mapping-a-drive
http://covenanteyes.github.io/py_win_unc/
http://stackoverflow.com/questions/1885181/how-do-i-un-escape-a-backslash-escaped-string-in-python
https://answers.splunk.com/answers/327635/how-do-i-get-the-filedirectory-information-input-a.html#answer-327646


#5 - 11/17/2015 09:04 PM - Luke Murphey

- Target version changed from 1.1 to 1.0.1
